## firefox 16.0.1+build1

=== debian/changelog ===
firefox (3.6.7+build2+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.7build2 (FIREFOX_3_6_7_BUILD2)

  * Make it possible to disable patches on a per-release basis. This
    makes it easier to share packaging branches across releases, and makes
    it possible to disable the patches which make the Hardy daily builds fail
    - update debian/rules
    - add debian/disable-patches.sh
    - add debian/patches/series-disable-patches.8.04
  * Make the debian/usr.bin.firefox.apparmor.in target a dependency of
    pre-build rather than makebuilddir. Whilst this doesn't really change
    much, it is technically slightly more correct (makebuilddir is just for
    creating the build directory, whilst pre-build is for doing all the
    preparation work)
    - update debian/rules
  * Merge the debian/firefox.sh target in to the match-all target, this
    just de-clutters things a little
    - update debian/rules
  * Remove debian/stamp-autotools-files-moz in the clean target
    - update debian/rules
  * Drop the empty firefox-dev and firefox-*-dev transitional packages. We
    didn't install anything in to firefox-dev, and we can reintroduce it in
    the future if anything in the archive depends on the browser specific
    interfaces
    - update debian/control
    - remove debian/firefox-dev.install
    - remove debian/firefox-dev.links
  * Fix some Lintian warnings
    - add debian/README.source
    - update debian/control
  * Make debian/migrator/ffox-beta-profile-migration-dialog a dependency of
    post-patches rather than pre-build. This avoids the need for having to 
    build the profile migrator when unpacking the source tarball
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 15 Jul 2010 23:51:25 +0200

firefox (3.6.7+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.7 (FIREFOX_3_6_7_BUILD1)
  * Set the StartupWMClass to the same value as the WM_CLASS property on the
    browser window. This makes startup notification work for all branding
    and also makes it work properly with Docky 
    - update debian/firefox-minefield.desktop
    - update debian/firefox-namoroka.desktop
    - update debian/abrowser.desktop 

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 09 Jul 2010 12:16:23 +0100

firefox (3.6.6+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.6 (FIREFOX_3_6_6_RELEASE)

  * fix LP: #590450 - Firefox should use the hunspell directory for dictionaries
    - update debian/rules

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 27 Jun 2010 01:30:09 -0500

firefox (3.6.4+build7+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v3.6.4 (FIREFOX_3_6_4_BUILD7)

  [ Micah Gersten <micahg@ubuntu.com> ]
  * Rebase patch after upstream landing of Lorentz branch
    - update debian/patches/bz460917_att350845_reload_new_plugins.patch 
  * Drop patch after upstream landing of (bmo: 544481) aka
    Build fails on Ubuntu Lucid Lynx using 'dash' shell
    - drop debian/patches/fix-build-glitch.patch
    - update debian/patches/series

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor:
    - allow ixr access to /usr/lib/xulrunner-*/plugin-container for xul builds
    - finetune Adobe Reader access (LP: #570337)
    - silence noisy denial on /boot/vmlinuz* and /boot/initrd.img* caused by
      readlinking symlinks in / (LP: #571761)
    - allow 'm' for java's 'classes.jsa' file (LP: #574459)
    - transition to firefox_java on Sun's jre/bin/java_vm too (LP: #570128)
    - allow Uxr for gnome-codec-install (LP: #577097)

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Rebase patches for 3.6.4 release
    - update debian/patches/firefox-kde.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/add_syspref_dir.patch
  * Build with --enable-ipc on amd64, i386 and armel. These are the only
    architectures where OOPP is supported. Build with --disable-ipc on all
    other architectures
    - update debian/rules
  * Fix LP: #513887 - Install the plugin-container binary for OOPP support
    when building with --enable-ipc
    - update debian/rules
  * Fix build failure with fontconfig 2.5
    - update debian/patches/lp512615_cairo_lcd_filter.patch
  * Fix LP: #469752 - KDE/Gnome startup notification not disappearing
    when app window is up - build with --enable-startup-notification
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 23 Jun 2010 15:31:44 +0100

firefox (3.6.3+nobinonly-0ubuntu4) lucid; urgency=low

  * fix LP: #443147 - Firefox on ARM inappropriately adds scroll bars to many
    frames and images; this is a workaround that forces -O2 for the whole
    mozilla tree build on armel; the scroll bar only manifests on lucid toolchain
    when using the upstream optimization flag mix
    - update debian/rules

 -- Alexander Sack <asac@ubuntu.com>  Wed, 21 Apr 2010 17:14:28 +0200

firefox (3.6.3+nobinonly-0ubuntu3) lucid; urgency=low

  [ Jamie Strandboge <jamie@ubuntu.com> ]
  * AppArmor: add read access to /etc/xul-ext/**, now needed by adblock

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Create checksums for NSS libraries to make FIPS mode work (LP: #559881)
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 13 Apr 2010 22:20:28 +0100

firefox (3.6.3+nobinonly-0ubuntu2) lucid; urgency=low

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Fix LP: #526291 - abrowser menu entry has Firefox icon. After changing the
    branding in common-post-build-arch, ensure that the firefox icons in 
    dist/bin/icons are replaced with the abrowser icons
    - update debian/rules
  * Fix LP: #408238 - does not provide gnome-www-browser
    - update debian/firefox-gnome-support.postinst.in
    - add debian/firefox-gnome-support.prerm.in
    - update debian/rules
  * Update Google and Yahoo! search URL's
    - add debian/patches/ubuntu_codes_google.patch

