## firefox 16.0.2+build1

=== debian/changelog ===
firefox (16.0.2+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_2_BUILD1)
    - see LP: #1071392 for USN information

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 25 Oct 2012 16:22:02 -0500

firefox (16.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_1_BUILD1)
    - see LP: #1065285 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 10 Oct 2012 23:31:00 +0100

firefox (16.0+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_16_0_BUILD1)
    - see LP: #1062611 for USN information

  * Update globalmenu-extension to 3.5.4
    - Fix LP: #1051152 - Crash in nsIContent::SetAttr with greasemonkey
      installed
    - Improve handling of radio items, and work correctly for radio items
      without a name (fixes the View -> Page Style submenu)
    - Stop causing nested DOM mutations. There is a big warning about doing
      this in nsIMutationObserver.h
    - Delay processing of DOM mutations during code sections when we are
      dispatching events. This should prevent a recurrence of
      reentrancy-triggered crashes such as LP: #1025011, LP: #1035305 and
      LP: #1051152, which have been exposed by updates of third-party addons
      recently and caused because our view of the menu changes during
      event delivery
    - Fix crash in uGlobalMenuDocListener::HandleMutations
  * Fix for bmo: #795395
    - add debian/patches/fix-for-bmo795395.patch
    - update debian/patches/series
  * Refresh patches after merging of nsILocalFile in to nsIFile
    - update debian/patches/firefox-kde.patch 
    - update debian/patches/mozilla-kde.patch
  * Drop StartupWMClass from the desktop file, as it isn't actually
    required by gnome shell or unity
    - update debian/firefox.desktop.in
  * Refresh patches
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/mozilla-kde.patch
    - update debian/patches/dont-override-general-useragent-locale.patch
    - update debian/patches/firefox-kde.patch
  * Drop compare-locales from the packaging, and just check out the current
    version when we create the tarball
    - update debian/build/mozbuild.mk
    - update debian/build/create-tarball.py
    - remove debian/build/compare-locales
  * Generate a list of the search engines that we modify and store this
    in bzr, rather than determining this list at build time. We refresh
    the list in the clean target and fail the build if anything changes.
    This ensures that any upstream changes to the search engine list
    for any locale will not go unnoticed and will force a manual check
    to ensure that we are shipping correctly modified search engines
    - add debian/build/refresh-search-modifications.pl
    - update debian/build/mozbuild.mk
    - add debian/config/search-mods.list
    - rename debian/build/check-search-overrides.pl =>
        debian/build/verify-search-overrides.pl
  * Drop obsolete autocomplete-theme-tweak patch now
    - remove debian/patches/autocomplete-theme-tweak.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 28 Aug 2012 11:56:44 +0100

firefox (15.0.1+build1-0ubuntu0.11.04.1) natty-security; urgency=low

  * New upstream stable release (FIREFOX_15_0_1_BUILD1)
    - see LP: #1047667 for USN information

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 07 Sep 2012 18:12:49 -0500

firefox (15.0+build1-0ubuntu0.11.04.2) natty-security; urgency=low

  * New upstream stable release (FIREFOX_15_0_BUILD1)
    - see LP: #1041620 for USN information

  * Update globalmenu-extension to 3.4.1
    + Drop the edit UI workarounds
    + Fixes for LP: #1035305 - Crash when switching apps back to Firefox
      with Firebug installed
      - Keep the menu we export in sync with the document tree all of the
        time, rather than only when the menus are on screen. The HUD likes to
        open submenus without opening any of its ancestors, which can result in
        us handling events on menu nodes that are no longer in a document
        if an ancestor responds to a bubbled-up event by removing its
        children
      - Ensure we always null check the result of nsIDocument::GetCurrentDoc
    + When tearing down a menu, make sure that we empty out our DbusmenuMenuitem
      in case the parent reuses that item for another menu. Fixes a memory leak
      and an issue where Firebug menu items are duplicated indefinitely each
      time a menu is opened
    + Fixes for LP: #1025011 - HUD search crashes Firefox when Firebug
      is installed
      - Provide our own binding for menupopup nodes which derives from the
        default binding and makes the "state" property work as if there
        were a frame
      - Make all menu nodes reference counted, and hold a strong ref when
        dispatching events, in case the event results in the removal of menu
        nodes
    + Fix LP: #813775 - Hitting an assertion in dbusmenu
    + Fix LP: #861565 - No buttons in the "Show All Bookmarks" dialog
    + Fix LP: #775305 - An empty menu appears when FFChrome is installed
    + Add a small delay when opening the menu with the keyboard, so that
      the additional items are added before the menu appears. Fixes an
      issue where keyboard focus isn't on the first item when opening the
      history menu with the keyboard
  * Add Acholi to the locale blacklist
  * Separate the package name from the application name in various places.
    This enables us to change the package name without having to modify the
    application or packaging (eg, to allow us to provide official branded
    versions of Firefox ESR using the package name "firefox-esr")
    - update debian/README.Debian.in
    - update debian/apport/source_firefox.py.in
    - update debian/build/get-orig-source.mk
    - update debian/control{,.in}
    - update debian/control.langpacks

