=== debian/control ===
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.natty
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	m4,
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	yasm-1 (>= 1.1) | yasm (>= 1.1),
	xvfb,
	libdbusmenu-gtk-dev,
	unzip,
	dbus-x11,
	libxml-simple-perl,
	libjson-perl
Standards-Version: 3.9.1

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: latex-xft-fonts,
	libthai0,
	${support:Suggests}
Breaks: ${app:Breaks}
Replaces: ${app:Replaces}
Conflicts: ${app:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends}, 
	${misc:Depends},
	${gconf:Depends},
	firefox
Provides: ${gs:Provides}
Replaces: ${gs:Replaces}
Conflicts: ${gs:Conflicts}
Description: Safe and easy web browser from Mozilla - GNOME support
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package depends on the GNOME libraries which allow Firefox to take
 advantage of technologies such as GConf, GIO libnotify

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${dbg:Provides}
Replaces: ${dbg:Replaces}
Conflicts: ${dbg:Conflicts}
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${dev:Provides}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${dev:Conflicts}
Replaces: ${dev:Replaces}
Description: Safe and easy web browser from Mozilla - development files
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Firefox

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-globalmenu
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Description: Unity appmenu integration for Firefox
 This package provides an extension which adds support for the Unity
 appmenu to Firefox 

# Transitional packages below here

Package: abrowser
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-branding
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: abrowser-branding
Architecture: any
Depends: ${misc:Depends}, firefox (>= 9.0)
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: firefox-gnome-support-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, firefox-gnome-support, firefox-dbg (= ${binary:Version})
Description: Safe and easy web browser from Mozilla - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Czech language pack for Firefox
 This package contains Czech translations and search plugins
 for Firefox

Package: firefox-locale-csb
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-csb-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Kashubian language pack for Firefox
 This package contains Kashubian translations and search plugins
 for Firefox

Package: firefox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Welsh language pack for Firefox
 This package contains Welsh translations and search plugins
 for Firefox

Package: firefox-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Danish language pack for Firefox
 This package contains Danish translations and search plugins
 for Firefox

Package: firefox-locale-de
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-de-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: German language pack for Firefox
 This package contains German translations and search plugins
 for Firefox

Package: firefox-locale-el
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-el-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Greek language pack for Firefox
 This package contains Greek translations and search plugins
 for Firefox

Package: firefox-locale-en
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-en-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: English language pack for Firefox
 This package contains English translations and search plugins
 for Firefox

Package: firefox-locale-eo
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eo-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Esperanto language pack for Firefox
 This package contains Esperanto translations and search plugins
 for Firefox

Package: firefox-locale-es
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-es-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Spanish; Castilian language pack for Firefox
 This package contains Spanish; Castilian translations and search plugins
 for Firefox

Package: firefox-locale-et
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-et-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Estonian language pack for Firefox
 This package contains Estonian translations and search plugins
 for Firefox

Package: firefox-locale-eu
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-eu-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Basque language pack for Firefox
 This package contains Basque translations and search plugins
 for Firefox

Package: firefox-locale-fa
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fa-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Persian language pack for Firefox
 This package contains Persian translations and search plugins
 for Firefox

Package: firefox-locale-fi
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-fi-base
Conflicts: ${lp:Conflicts}
Provides: ${lp:Provides}
Description: Finnish language pack for Firefox
 This package contains Finnish translations and search plugins
 for Firefox

Package: firefox-locale-fr
Architecture: any
